2019-12-09 01:10 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0001919Spring engineGeneralpublic2019-11-27 23:46
ReporterSirMaverick 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version0.81.2.1 
Target Version0.82.0Fixed in Version0.81.0.0+git 
Summary0001919: replay from desynced game shows different games
DescriptionWe had a game in CA which desynced at some point. Replays from 3 different players are equal: I used demotool to output every package in hex format, diff showed only one difference: assigned player number from server.

I watched the replays several times. You might see a different outcome: https://trac.caspring.org/attachment/ticket/2273/desync.jpg
I used 20100508_112659_Emain Macha_0.81.2.sdf when making those pictures.
Additional Informationsee https://trac.caspring.org/ticket/2273 for replays
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • txt file icon infolog.txt (24,364 bytes) 2010-05-09 02:34 -
    LogOutput initialized.
    Spring 0.81.2.1
    Build date/time: May  4 2010 20:23:03
    Available log subsystems: mapinfo, CollisionVolume, unit, ArchiveScanner, VFS-detail, VFS, Sound
    Enabled log subsystems: Sound
    Enable or disable log subsystems using the LogSubsystems configuration key
      or the SPRING_LOG_SUBSYSTEMS environment variable (both comma separated).
    using configuration source "/home/spring/scripts/demo/host/.springrc"
    [CMyMath::Init] CPU SSE mask: 120, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  0
    	SSE 4.1:  0,  SSE 4.2:  0
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    OS: Linux
    OS: 32bit native mode
    Using read-write data directory: /home/spring/scripts/demo/host/
    Using read-only  data directory: /home/spring/.spring/
    Using read-only  data directory: /home/spring/spring/spring/install-0.81.2.1-7-g6b8bd33-RelWithDebInfo/bin/
    Using read-only  data directory: /home/spring/.spring/
    Using read-only  data directory: /home/spring/spring/spring/install-0.81.2.1-7-g6b8bd33-RelWithDebInfo/share/games/spring/
    Scanning: /home/spring/spring/spring/install-0.81.2.1-7-g6b8bd33-RelWithDebInfo/share/games/spring/base
    Scanning: /home/spring/.spring/maps
    Scanning: /home/spring/.spring/mods
    Scanning: /home/spring/.spring/packages
    Scanning: /home/spring/.spring/maps
    Scanning: /home/spring/.spring/mods
    Scanning: /home/spring/.spring/packages
    Video mode set to  1024 x 768 / 32 bit
    [      0] SDL:  1.2.13
    [      0] GL:   3.2.0 NVIDIA 195.36.15
    [      0] GL:   NVIDIA Corporation
    [      0] GL:   GeForce 9800 GT/PCI/SSE2/3DNOW!
    [      0] GLEW: 1.5.3
    [      0] Joysticks found: 0
    [      0] Joystick 0 not found
    [      0] Connecting to local server
    [      0] Pre-scanning demo file for game data...
    [      0] Warning: 14 players in GameSetup script (NumPlayers says 13)
    [      0] Starting GameServer
    [      0] GameServer started
    [      0] Reading demo data: 16 ms
    [      0] Warning: 14 players in GameSetup script (NumPlayers says 13)
    [      0] Using map Emain Macha.smf
    [      0] Using script Commanders
    [      0] Using mod Complete Annihilation stable-7761
    [      0] Using mod archive 62d74045a11b5cc6d73ee9c7525595c5.sdp
    [      0] Loading client data: 1573 ms
    [      0] User number 13 (team 0, allyteam 0)
    [      0] Loading console: 0 ms
    [      0] Sound: OpenAL info:
    [      0] Sound:   Vendor:     OpenAL Community
    [      0] Sound:   Version:    1.1 ALSOFT 1.11.753
    [      0] Sound:   Renderer:   OpenAL Soft
    [      0] Sound:   AL Extensions: AL_EXTX_buffer_sub_data AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_OFFSET AL_EXTX_sample_buffer_object AL_EXT_source_distance_model AL_LOKI_quadriphonic
    [      0] Sound:   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_disconnect ALC_EXT_EFX ALC_EXTX_thread_local_context
    [      0] Sound:   Device:     ALSA Software
    [      0] Sound:   Available Devices:  
    [      0] Sound:                       PulseAudio Software
    [      0] Sound:                       ALSA Software
    [      0] Sound:                       PortAudio Software
    [      0] Sound:  parsed 5 sounds from gamedata/sounds.lua
    [      0] Loading sounds: 3196 ms
    [      0] Camera and mouse: 93 ms
    [      0] Parsing unit icons
    [      0] Parsing definitions
    [      0] WARNING: removed blastwingmine unitDef, missing model file  (BLASTWING)
    [      0] WARNING: removed corjamt2 unitDef, missing model file  (CORJAMT)
    [      0] WARNING: removed corroach_mine unitDef, missing model file  (CORROACH)
    [      0] WARNING: removed the "blastwingmine" entry from the "concept_factory" build menu
    [      0] WARNING: removed the "corjamt2" entry from the "concept_con" build menu
    [      0] Loading all definitions:  0.589000
    [      0] Loading defs: 697 ms
    [      0] You are missing the "ARB_shadow_ambient" extension (this will probably make shadows darker than they should be)
    [      0] Loading map informations
    [      0] Loading map
    [      0] Loading Map
    [      0] Loading .smt tile-file "maps/Emain Macha.smt"
    [      0] Loading 21959 tiles from file 1/1
    [      0] Reading tiles
    [      0] Reading tile map
    [      0] generating MipMaps: 13 ms
    [      0] Calculating smooth height mesh
    [      0] Calculating smooth mesh: 345 ms
    [      0] Creating projectile texture
    [      0] Number of damage types: 10
    [      0] Loading weapon definitions
    [      0] Could not load sound from def: newboom
    [      0] Could not load sound from def: newboom
    [      0] Could not load sound from def: newboom
    [      0] Could not load sound from def: newboom
    [      0] Loading unit definitions
    [      0] Loading feature definitions
    [      0] Creating unit textures
    [      0] Initializing map features
    [      0] Reading estimate path costs
    [      0] Pathing data checksum: f550701a
    [      0] Creating sky
    [      0] Loading LuaRules
    [      0] box ally2
    [      0] box ally3
    [      0] box ally4
    [      0] box ally5
    [      0] box ally6
    [      0] box ally7
    [      0] box ally8
    [      0] box ally9
    [      0] Jump Jet Defs error checking begining..
    [      0] .. Jump Jet Defs error checking complete
    [      0] Loading gadget: Lua unit script framework  <unit_script.lua>
    [      0]   Loading unit script: scripts/carrydrone.lua
    [      0]   Loading unit script: scripts/nanotower.lua
    [      0]   Loading unit script: scripts/blastwing.lua
    [      0]   Loading unit script: scripts/cafus.lua
    [      0]   Loading unit script: scripts/coravp.lua
    [      0]   Loading unit script: scripts/m-6.lua
    [      0]   Loading unit script: scripts/lotus.lua
    [      0]   Loading unit script: scripts/aegis.lua
    [      0]   Loading unit script: scripts/corroach.lua
    [      0]   Loading unit script: scripts/corsumo.lua
    [      0]   Loading unit script: scripts/cia.lua
    [      0]   Loading unit script: scripts/logheavymine.lua
    [      0] Doesn't count initialized
    [      0] LUARULES-DRAW  (GADGETS)
    [      0] box ally2
    [      0] box ally3
    [      0] box ally4
    [      0] box ally5
    [      0] box ally6
    [      0] box ally7
    [      0] box ally8
    [      0] box ally9
    [      0] Doesn't count initialized
    [      0] LUARULES-DRAW  (GADGETS)
    [      0] Loading LuaGaia
    [      0] Loading LuaUI
    [      0] This mod has locked LuaUI access
    [      0] Using LUAUI_DIRNAME = LuaUI/
    [      0] Reloaded ctrlpanel with: LuaUI/ctrlpanel.txt
    [      0] LuaUI: bound F11 to the widget selector
    [      0] LuaUI: bound CTRL+F11 to tweak mode
    [      0] Jump Jet Defs error checking begining..
    [      0] .. Jump Jet Defs error checking complete
    [      0] Loaded API widget:  Avatars             <api_avatars.lua>
    [      0] Loaded API widget:  Chili Framework     <api_chili.lua>
    [      0] Loaded API widget:  Lups                <lups_wrapper.lua>
    [      0] Loaded widget:  Local Team Colors   <gui_local_colors.lua>
    [      0] Loaded widget:  HealthBars          <unit_healthbars.lua>
    [      0] Loaded widget:  Voices              <snd_voices.lua>
    [      0] Loaded widget:  BuildETA            <gui_build_eta.lua>
    [      0] Loaded widget:  Cloak Fire State    <unit_cloakfirestate.lua>
    [      0] Loaded widget:  ResetState          <unit_resetstate.lua>
    [      0] Loaded widget:  Auto First Build Facing  <autofirstbuildfacing.lua>
    [      0] Loaded widget:  Auto Patrol Nanos   <unit_auto_patrol_nanos.lua>
    [      0] Loaded widget:  Autoquit            <autoquit.lua>
    [      0] Loaded widget:  Blast Radius        <gui_blastradius.lua>
    [      0] Loaded widget:  Chili Chat Bubbles  <gui_chili_chatbubbles.lua>
    [      0] Loaded widget:  Chili Resource Bars  <gui_chili_resource_bars.lua>
    [      0] Loaded widget:  Chili Selections    <gui_chiliselections.lua>
    [      0] Loaded widget:  Chili Tip           <gui_chilitip.lua>
    [      0] Loaded widget:  Context Menu        <gui_contextmenu.lua>
    [      0] Loaded widget:  Crude Menu          <gui_crudemenu.lua>
    [      0] Loaded widget:  DCIcon              <dbg_dcicon.lua>
    [      0] Loaded widget:  Darkening           <gui_darkening.lua>
    [      0] Loaded widget:  Land Fly v1.2.2     <unit_land_fly.lua>
    [      0] Loaded widget:  Local Widgets Config  <localwidgets.lua>
    [      0] Loaded widget:  MinimapEvents       <minimap_events.lua>
    [      0] Loaded widget:  Mod Options Reminder  <gui_modoption_reminder.lua>
    [      0] Loaded widget:  Point Tracker       <gui_point_tracker.lua>
    [      0] Loaded widget:  ReclaimInfo         <gui_reclaiminfo.lua>
    [      0] Loaded widget:  Retreat             <cmd_retreat.lua>
    [      0] Loaded widget:  State Reverse Toggle  <cmd_state_reverse_toggle.lua>
    [      0] Loaded widget:  Stereo3D            <gfx_stereo3d.lua>
    [      0] Loaded widget:  Stockpiler          <unit_stockpile.lua>
    [      0] Loaded widget:  Defense Range       <gui_defenserange.lua>
    [      0] Loaded widget:  Ghost Site          <unit_ghostsite.lua>
    [      0] Loaded widget:  Auto group          <unit_auto_group.lua>
    [      0] Loaded widget:  Unit Marker         <unit_marker.lua>
    [      0] Loaded widget:  MiniMap Start Boxes  <minimap_startbox.lua>
    [      0] Loaded widget:  Take Reminder       <gui_take_remind.lua>
    [      0] Loaded widget:  Unit Mover          <cmd_unit_mover.lua>
    [      0] Loaded widget:  NoDuplicateOrders   <cmd_no_duplicate_orders.lua>
    [      0] Loaded widget:  Transport AI        <unit_transport_ai.lua>
    [      0] Loaded widget:  Start Point Remover  <init_start_point_remover.lua>
    [      0] Loaded widget:  Attack AoE          <gui_attack_aoe.lua>
    [      0] Loaded widget:  Builder Manager     <unit_buildercontrol.lua>
    [      0] Loaded widget:  Prospector          <gui_prospector.lua>
    [      0] Loaded widget:  Satellites          <unit_satellites.lua>
    [      0] Loaded widget:  Lasso Terraform GUI  <gui_lasso_terraform.lua>
    [      0] Loaded widget:  AllyCursors         <gui_ally_cursors.lua>
    [      0] Loaded widget:  Building Starter    <unit_building_starter.lua>
    [      0] Loaded widget:  Cloaker Guard       <unit_cloaker_guard.lua>
    [      0] Loaded widget:  CommandInsert       <gui_commandinsert.lua>
    [      0] Loaded widget:  Rank Icons          <gui_xp.lua>
    [      0] Loaded widget:  Shield Guard        <unit_shield_guard.lua>
    [      0] Loaded widget:  Selection Send      <gui_selectionsend.lua>
    [      0] Loaded widget:  Select n Center!    <gui_center_n_select.lua>
    [      0] Loaded widget:  CALayout            <ca_layout.lua>
    [      0] Loaded widget:  LupsManager         <gfx_lups_manager.lua>
    [      0] Loaded widget:  Units on Fire       <gfx_lups_units_on_fire.lua>
    [      0] Loaded widget:  Chili Docking       <gui_chili_docking.lua>
    [      0] Loaded widget:  Test Version Warning  <gui_test_warning.lua>
    [      0] BuildBar Warning: you deactivated the "blurApi" widget, please reactivate it.
    [      0] Loaded widget:  BuildBar            <gui_buildbar.lua>
    [      0] Loaded widget:  CustomFormations2   <unit_customformations2.lua>
    [      0] Loaded widget:  Jumjet GUI          <gui_jumpjets.lua>
    [      0] Loaded widget:  Chili Gesture Menu  <gui_chili_gesture_menu.lua>
    [      0] LuaUI v0.3
    [      0] Finalizing...
    [      0] <Ghost Site> Spectator mode. Widget removed.
    [      0] Opening demofile /home/mav/spring/desync-20100508-EmainMacha/20100508_112659_Emain Macha_0.81.2.sdf
    [      0] Connection attempt from unnamed (spec)
    [      0]  -> Version: 0.81.2.1
    [      0]  -> connection established (given id 13)
    [      0] Spectator unnamed (spec) finished loading and is now ingame
    [      0] Beginning demo playback
    [      0] Connection attempt from Yogzototh
    [      0]  -> Version: 0.81.2.1 (0.81.2.1-0-g884a107{@}-cmake-mingw32)
    [      0]  -> connection established (given id 11)
    [      0] Connection attempt from Edible[NOTA][CA]
    [      0]  -> Version: 0.81.2.1 (0.81.2.1-0-g884a107{@}-cmake-mingw32)
    [      0]  -> connection established (given id 8)
    [      0] Connection attempt from [0K]luckywaldo7
    [      0]  -> Version: 0.81.2.0
    [      0]  -> connection established (given id 7)
    [      0] Connection attempt from [0K]SirMaverick
    [      0]  -> Version: 0.81.2.1
    [      0]  -> connection established (given id 2)
    [      0] Connection attempt from Aronath
    [      0]  -> Version: 0.81.2.1 (0.81.2.1-0-g884a107{@}-cmake-mingw32)
    [      0]  -> connection established (given id 1)
    [      0] Connection attempt from MetalMass
    [      0]  -> Version: 0.81.2.0 (0.81.2-0-g76e4cf5{@}-cmake-mingw32)
    [      0]  -> connection established (given id 6)
    [      0] Connection attempt from [0K]Licho
    [      0]  -> Version: 0.81.2.1 (0.81.2.1-0-g884a107{@}-cmake-mingw32)
    [      0]  -> connection established (given id 4)
    [      0] Connection attempt from [1uP]Willk
    [      0]  -> Version: 0.81.2.1 (0.81.2.1-0-g884a107{@}-cmake-mingw32)
    [      0]  -> connection established (given id 3)
    [      0] Connection attempt from [LCC]Google_Frog[0K]
    [      0]  -> Version: 0.81.2.0 (0.81.2-15-g7a9aa2b{0.81-branch}-cmake-mingw32)
    [      0]  -> connection established (given id 5)
    [      0] Yogzototh added point: Start 7
    [      0] Yogzototh added point: Start 7
    [      0] Connection attempt from [1uP]CarRepairer
    [      0]  -> Version: 0.81.2.0 (0.81.2-0-g76e4cf5{@}-cmake-mingw32)
    [      0]  -> connection established (given id 9)
    [      0] Edible[NOTA][CA] added point: Start 5
    [      0] > [0K]Licho has left lobby
    [      0] Edible[NOTA][CA] added point: Start 5
    [      0] MetalMass added point: Start 4
    [      0] Aronath added point: Start 0
    [      0] <SelectionSend> Spectator mode. Widget removed.
    [      0] [LCC]Google_Frog[0K] added point: Start 3
    [      0] Aronath added point: Start 0
    [      0] [1uP]Willk added point: Start 2
    [      0] [1uP]CarRepairer added point: Start 6
    [      0] [1uP]CarRepairer added point: Start 6
    [      0] Yogzototh added point: why the fuck you start there?
    [      0] [1uP]Willk added point: Start 2
    [      0] MetalMass added point: Start 4
    [      0] [LCC]Google_Frog[0K] added point: Start 3
    [      0] MetalMass added point: Start 4
    [      0] Yogzototh added point: 
    [      0] MetalMass added point: Start 4
    [      0] MetalMass added point: Start 4
    [      0] Aronath added point: Start 0
    [      0] Edible[NOTA][CA] added point: Start 5
    [      0] Yogzototh added point: i meant oyu need to be near the mexes
    [      0] Connection attempt from korn_xyz
    [      0]  -> Version: 0.81.2.1 (0.81.2.1-0-g884a107{@}-cmake-mingw32)
    [      0]  -> connection established (given id 12)
    [      0] [0K]SirMaverick added point: Start 1
    [      0] [0K]SirMaverick added point: Start 1
    [      0] Spectator [0K]Licho left the game:  timeout
    [      0] [0K]SirMaverick added point: Start 1
    [      0] <[1uP]Willk> !ring
    [      0] > ringing MetalMass, 
    [      0] MetalMass added point: if I build mex I will have no m for units
    [      0] MetalMass added point: Start 4
    [      0] Yogzototh added point: well do you know where the m for your units comes from>?
    [      0] <[1uP]Willk> !force
    [      0] > Sorry, you do not have rights to execute force
    [      0] > Do you want to force game? !vote 1 = yes, !vote 2 = no
    [      0] MetalMass added point: 
    [      0] MetalMass added point: 
    [      0] MetalMass added point: 
    [      0] <[1uP]Willk> were all in, the games stuck due to spec leav\
    [      0] <[1uP]Willk> vote 1
    [      0] <[LCC]Google_Frog[0K]> generally it happens automatically
    [      0] Yogzototh added point: it also comes from OUR fuicking mexes
    [      0] <Edible[NOTA][CA]> !vote 1
    [      0] > option 1 has 1 of 5 votes
    [      0] Yogzototh added point: which we have to build, and 1/4 goes to you
    [      0] MetalMass added point: that is fail
    [      0] <Edible[NOTA][CA]> We need a simple and concise page on how to script in
    [      0] <Edible[NOTA][CA]> With screenshots and such
    [      0] <Edible[NOTA][CA]> To link
    [      0] <[1uP]Willk> shouldn't need to really
    [      0] MetalMass added point: that is a stupid way to play no?
    [      0] <Yogzototh> !voteforcestart
    [      0] <[1uP]Willk> SD has a restart
    [      0] <Yogzototh> !voteforce
    [      0] > Do you want to force game? !vote 1 = yes, !vote 2 = no
    [      0] <Yogzototh> !vote 1
    [      0] > option 1 has 1 of 5 votes
    [      0] <[1uP]Willk> !vote 1
    [      0] > option 1 has 2 of 5 votes
    [      0] <Aronath> !vote 1
    [      0] > option 1 has 3 of 5 votes
    [      0] <Edible[NOTA][CA]> !vote 1
    [      0] > option 1 has 4 of 5 votes
    [      0] Yogzototh added point: youll get used to it
    [      0] <[1uP]CarRepairer> protect my balls
    [      0] <Edible[NOTA][CA]> Would still be handy
    [      0] Yogzototh added point: and yes it is stupid. go bothe rlicho
    [      0] <[0K]SirMaverick> !vote 1
    [      0] > option 1 has 5 of 5 votes
    [      0] > forcing game start by [0K]SirMaverick
    [      0] > vote successful - forcing
    [      0] GameID: 6dbee44b187b52cd20de5d9b1cdf4421
    [      0] Aronath added point: Start 0
    [      0] [0K]SirMaverick added point: Start 1
    [      0] [1uP]Willk added point: Start 2
    [      0] [LCC]Google_Frog[0K] added point: Start 3
    [      0] MetalMass added point: Start 4
    [      0] Edible[NOTA][CA] added point: Start 5
    [      0] [1uP]CarRepairer added point: Start 6
    [      0] Yogzototh added point: Start 7
    [      0] STATS:plist,Aronath,[0K]SirMaverick,[1uP]Willk,[LCC]Google_Frog[0K],MetalMass,Edible[NOTA][CA],[1uP]CarRepairer,Yogzototh
    [     30] <Blast Radius> Spectator mode. Widget removed.
    [     30] <DefenseRange> Spectator mode. Widget removed.
    [     30] <Unit Marker> Spectator mode. Widget removed.
    [     48] Wind Range: 0 - 2.5. Max Windmill altitude bonus is: 52%
    [    926] Spectator korn_xyz left the game:  timeout
    [   1459] > korn_xyz has left lobby
    [   2103] Yogzototh added point: also, mex returns cost in 35 seconds. its very fast
    [   2475] <MetalMass> you mean 35x4
    [   2935] <Yogzototh> you are still tihnking inside solo box
    [   3200] Edible[NOTA][CA] added point: 
    [   3361] Edible[NOTA][CA] added point: shitjesus
    [   4919] Mason: build-position <2248.00, 324.00, 7768.00> blocked after 8 attempts
    [   4981] <[LCC]Google_Frog[0K]> Allies: edible, be able to get los on comm
    [   5047] Mason: build-position <2248.00, 324.00, 7768.00> blocked after 16 attempts
    [   5206] <Edible[NOTA][CA]> k
    [   5425] Edible[NOTA][CA] added point: 
    [   5724] Edible[NOTA][CA] added point: 
    [   5791] <[1uP]CarRepairer> YOU FAIL
    [   6469] Edible[NOTA][CA] added point: 
    [   6781] Edible[NOTA][CA] added point: 
    [   6789] Edible[NOTA][CA] added point: 
    [   7266] [LCC]Google_Frog[0K] added point: not into the llt
    [   7658] MetalMass added point: 
    [   8079] Unknown texture onoff01
    [   8079] Unknown texture onoff01
    [   8079] Unknown texture onoff01
    [   8079] Unknown texture onoff01
    [   8079] Unknown texture onoff01
    [   8815] [LCC]Google_Frog[0K] added point: 
    [   8819] [LCC]Google_Frog[0K] added point: 
    [   8828] [LCC]Google_Frog[0K] added point: 
    [   8832] [LCC]Google_Frog[0K] added point: 
    [   9371] <[LCC]Google_Frog[0K]> Allies: E?
    [   9860] <[LCC]Google_Frog[0K]> Allies: need E
    [   9901] [LCC]Google_Frog[0K] added point: 
    [   9904] [LCC]Google_Frog[0K] added point: 
    [  11345] [LCC]Google_Frog[0K] added point: help here
    [  11775] Edible[NOTA][CA] added point: 
    [  11885] Edible[NOTA][CA] added point: 
    [  11891] Edible[NOTA][CA] added point: 
    [  12573] [LCC]Google_Frog[0K] added point: send the AA trucks
    [  12866] <[LCC]Google_Frog[0K]> Allies: stupid Aronath
    [  12940] <[LCC]Google_Frog[0K]> Allies: you had AA!
    [  15076] Edible[NOTA][CA] added point: 
    [  15155] [LCC]Google_Frog[0K] added point: AA
    [  16332] [LCC]Google_Frog[0K] added point: these fail with no los
    [  17517] [LCC]Google_Frog[0K] added point: why are you not advancing?
    [  17875] <Edible[NOTA][CA]> Allies: got plastered by gunships
    [  17948] Edible[NOTA][CA] added point: 
    [  17995] Edible[NOTA][CA] added point: hlt
    [  19896] [LCC]Google_Frog[0K] added point: send the the leveler
    [  20199] [LCC]Google_Frog[0K] added point: 
    [  20204] [LCC]Google_Frog[0K] added point: 
    [  20208] [LCC]Google_Frog[0K] added point: 
    [  20212] [LCC]Google_Frog[0K] added point: 
    [  20216] [LCC]Google_Frog[0K] added point: 
    [  21520] Spectator [0K]luckywaldo7 left the game:  normal quit
    [  22094] [LCC]Google_Frog[0K] added point: make the arty
    [  22159] [LCC]Google_Frog[0K] added point: already
    [  23249] > [0K]luckywaldo7 has left lobby
    [  24267] <[LCC]Google_Frog[0K]> Spectators: edible take your side
    [  24579] <[LCC]Google_Frog[0K]> Spectators: actually attack there
    [  24696] <[LCC]Google_Frog[0K]> Spectators: it's just some llts and a hlt
    [  24975] [0K]SirMaverick added point: too much spaced
    [  25440] > Spacemarine has left lobby
    [  25577] [LCC]Google_Frog[0K] added point: move left
    [  25985] [LCC]Google_Frog[0K] added point: send in ticks
    [  28303] <[LCC]Google_Frog[0K]> Spectators: make antiswarm
    [  30666] <[LCC]Google_Frog[0K]> Spectators: edible you let metalmass take all the mexes there
    [  30910] <[LCC]Google_Frog[0K]> Allies: should have attacked metal mass a lot earier
    [  31291] <[LCC]Google_Frog[0K]> Allies: you let him build up and give the rest of the team all the mex income
    [  31366] <Edible[NOTA][CA]> Allies: yeah I cocked that up pretty bad
    [  31620] <[LCC]Google_Frog[0K]> Allies: you should have just attacked
    [  31684] <[LCC]Google_Frog[0K]> Allies: smartly
    [  31756] <[LCC]Google_Frog[0K]> Allies: but soon
    [  31758] <Edible[NOTA][CA]> Allies: the gunships fucked my tactics hard
    [  32016] <[LCC]Google_Frog[0K]> Allies: well when you see gunships you make AA
    [  32089] <[LCC]Google_Frog[0K]> Allies: it's easy
    [  32243] <[LCC]Google_Frog[0K]> Allies: making AA takes seconds at a base
    [  33226] Sync error for Yogzototh in frame 33219 (fe82e339)
    [  33361] <[LCC]Google_Frog[0K]> either everyone else has got worse or car has got better
    [  33478] Team2 ([1uP]Willk) pulled the plug
    [  33582] <Yogzototh> sync errors
    [  33629] Sync error for Yogzototh in frame 33620 (2b7cebdd)
    [  33788] <Edible[NOTA][CA]> I havent played in ages
    [  33949] <[LCC]Google_Frog[0K]> I think it was due to massive roach explosion
    [  33969] [[1uP]Willk (replay)] Ive neverbeen that good
    [  34030] Sync error for Yogzototh in frame 34021 (6b7f1901)
    [  34267] <[LCC]Google_Frog[0K]> roaches at 4328 4174
    [  34323] <Yogzototh> i tihnk it has been there before that moment
    [  34429] Sync error for Yogzototh in frame 34422 (cb9dcf90)
    [  34533] <[LCC]Google_Frog[0K]> there where a lot
    [  34644] <Yogzototh> diod you see my bomber attack?
    [  34745] <[LCC]Google_Frog[0K]> and it involved water
    [  34833] Sync error for Yogzototh in frame 34823 (ae7f3810)
    [  35233] Sync error for Yogzototh in frame 35224 (13736002)
    [  35590] [[1uP]Willk (replay)] google...why did you terraform?
    [  35631] Sync error for Yogzototh in frame 35625 (75cad40e)
    [  36034] Sync error for Yogzototh in frame 36026 (80859a71)
    [  36167] <Yogzototh> do you see me doing air strikes?
    [  36168] <[LCC]Google_Frog[0K]> to stop the flash killing everything
    [  36265] <[LCC]Google_Frog[0K]> yes
    [  36291] [[1uP]Willk (replay)] ah
    [  36437] Sync error for Yogzototh in frame 36427 (8daabc63)
    [  36839] Sync error for Yogzototh in frame 36828 (1ec167ef)
    [  37239] Sync error for [0K]SirMaverick in frame 37229 (a7598b2f)
    [  37637] Sync error for Yogzototh in frame 37630 (91a0882f)
    [  38039] Sync error for Yogzototh in frame 38031 (ddb12e36)
    [  38440] Sync error for Yogzototh in frame 38432 (bc59e19c)
    [  38843] Sync error for Yogzototh in frame 38833 (e9f8650)
    [  39243] Sync error for Yogzototh in frame 39234 (cc041b61)
    [  39644] Sync error for Yogzototh in frame 39635 (b0f7926)
    [  39673] Team3 ([LCC]Google_Frog[0K]) couldn't resist pushing the red button
    [  40040] <MetalMass> I really did not need you to kill my army fs
    [  40046] Sync error for Yogzototh in frame 40036 (45ca2683)
    [  40250] Team0 (Aronath) 01010011 01110101 01000011 01101011 01110011!
    [  40449] Sync error for Yogzototh in frame 40437 (6845d121)
    [  40652] <Edible[NOTA][CA]> Thats a horrific death message
    [  40722] DoesNotCount: DEBUG
    [  40722] DoesNotCount: Ally 0 doesn't have any active units left.
    [  40722] DoesNotCount: If this is true, then please selfdestroy.
    [  40722] DoesNotCount: Ally 0 consists of: Edible[NOTA][CA], 
    [  40724] Team5 (Edible[NOTA][CA]) failed
    [  40801] <Yogzototh> okay
    [  40847] Sync error for Yogzototh in frame 40838 (8bec7af9)
    [  40937] <Yogzototh> my game is over
    [  41189] unnamed (spec) paused the game
    [  41189] Saved: screenshots/screen00459.png
    [  41189] /quit
    [  41189] User exited
    [  41189] Path cache hits 3119 49%
    [  41189] Path cache hits 6592 27%
    [  41189] Statistics for local connection:
    Received: 770755 bytes
    Sent: 408103 bytes
    
    txt file icon infolog.txt (24,364 bytes) 2010-05-09 02:34 +
  • ? file icon 20100518_200205_Comet Catcher Redux_0.81.2.sdf (67,286 bytes) 2010-05-18 22:05

-Relationships
related to 0001908resolvedzerver SIGSEGV in UnitScript.cpp:232 
related to 0001822closed Spring Crash 
+Relationships

-Notes

~0004895

SirMaverick (reporter)

I have screenshots of that situation from 5 runs (different replays used). They only show those 2 outcomes.

~0004896

Kloot (developer)

Last edited: 2010-05-09 11:48

That is not at all unusual.

Something as simple as a (non SEGV-inducing) OOB memread triggered by a certain sequence of commands can cause the original game to desync, as well each run of the demos recorded from it (with respect to one another and the "true" game history). The *only* guarantee is that all demo-streams contain the same information.

~0004902

SirMaverick (reporter)

I got sync traces for both situations.
The beginning of the diff looks like this:

5445467,5445470c5445467,5445470
< Cob explosion: 4344 -8.03928 4193.89 12 2
< New CPieceProjectile: 4344 -8.03928 4193.89 4.9814 4.98336 3.59403
< Cob explosion: 4329.75 -5.65165 4200.36 3 2
< New CPieceProjectile: 4329.75 -5.65165 4200.36 5.04897 3.90835 4.72657
---
> Cob explosion: 4344.64 -8.17732 4195.42 12 2
> New CPieceProjectile: 4344.64 -8.17732 4195.42 4.9814 4.98336 3.59403
> Cob explosion: 4329.9 -5.70797 4202.01 3 2
> New CPieceProjectile: 4329.9 -5.70797 4202.01 5.04897 3.90835 4.72657
5454701a5454702,5454703
> Explosion: 4501.9 50 5
> Damage: 3491 49
5454976,5454977d5454977
< Explosion: 4504.1 50 5
< Damage: 3491 49

I can upload the full traces if needed.

~0004926

SirMaverick (reporter)

Reproduced in a smaller game.

~0005159

tvo (reporter)

Assigned to myself after discussion during meeting.

I will commit simple fix asap.

~0005161

tvo (reporter)

fixed here: http://github.com/spring/spring/commit/19c42922f5af966abb82b91f5fb2a6a6c866bdda

~0020260

Kloot (developer)

Fix 939ead8181afc50d4d733664c360d3a900c1b13b committed to develop branch: * fix 0001919 (LuaUnitScript desync, sleeping threads were being woken up in non-deterministic order), repo: spring changeset id: 11588
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2010-05-09 02:31 SirMaverick New Issue
2010-05-09 02:34 SirMaverick File Added: infolog.txt
2010-05-09 02:41 SirMaverick Note Added: 0004895
2010-05-09 11:44 Kloot Note Added: 0004896
2010-05-09 11:48 Kloot Note Edited: 0004896
2010-05-10 21:23 SirMaverick Note Added: 0004902
2010-05-12 17:14 Kloot Status new => assigned
2010-05-12 17:14 Kloot Assigned To => Kloot
2010-05-18 22:05 SirMaverick File Added: 20100518_200205_Comet Catcher Redux_0.81.2.sdf
2010-05-18 22:06 SirMaverick Note Added: 0004926
2010-07-12 16:41 Kloot Relationship added related to 0001908
2010-07-12 16:47 Kloot Relationship added related to 0001822
2010-07-22 12:53 Kloot Status assigned => resolved
2010-07-22 12:53 Kloot Fixed in Version => 0.81.0.0+git
2010-07-22 12:53 Kloot Resolution open => fixed
2010-07-22 17:55 Kloot Status resolved => assigned
2010-07-22 17:55 Kloot Resolution fixed => reopened
2010-07-25 15:58 tvo Target Version => 0.82
2010-07-25 20:57 tvo Assigned To Kloot => tvo
2010-07-25 20:58 tvo Note Added: 0005159
2010-07-27 16:10 tvo Note Added: 0005161
2010-07-27 16:10 tvo Status assigned => resolved
2010-07-27 16:10 tvo Resolution reopened => fixed
2019-11-27 23:45 Kloot Changeset attached => spring develop 939ead81
2019-11-27 23:45 Kloot Note Added: 0020260
2019-11-27 23:46 Kloot Assigned To tvo => Kloot
+Issue History